package com.sun.jmx.snmp;

import java.net.InetAddress;
import java.io.Serializable;

public abstract class SnmpPdu implements SnmpDefinitions, Serializable
{
    public int type;
    public int version;
    public SnmpVarBind[] varBindList;
    public int requestId;
    public InetAddress address;
    public int port;
    
    public SnmpPdu() {
        this.type = 0;
        this.version = 0;
        this.requestId = 0;
        this.port = 0;
    }
    
    public static String pduTypeToString(int i) {
        switch (i) {
            case 160: {
                return "SnmpGet";
            }
            case 161: {
                return "SnmpGetNext";
            }
            case 253: {
                return "SnmpWalk(*)";
            }
            case 163: {
                return "SnmpSet";
            }
            case 162: {
                return "SnmpResponse";
            }
            case 164: {
                return "SnmpV1Trap";
            }
            case 167: {
                return "SnmpV2Trap";
            }
            case 165: {
                return "SnmpGetBulk";
            }
            case 166: {
                return "SnmpInform";
            }
            default: {
                return "Unknown Command = " + i;
            }
        }
    }
}
